\( \newcommand{\E}{\mathrm{E}} \) \( \newcommand{\A}{\mathrm{A}} \) \( \newcommand{\R}{\mathrm{R}} \) \( \newcommand{\N}{\mathrm{N}} \) \( \newcommand{\Q}{\mathrm{Q}} \) \( \newcommand{\Z}{\mathrm{Z}} \) \( \def\ccSum #1#2#3{ \sum_{#1}^{#2}{#3} } \def\ccProd #1#2#3{ \sum_{#1}^{#2}{#3} }\)

CGAL 4.8 - 2D Arrangements

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Groups Pages
List of all members
CGAL::Arr_algebraic_segment_traits_2< Coefficient >::Curve_2 Class Reference

`#include <CGAL/Arr_algebraic_segment_traits_2.h>`

## Definition

Models the `ArrangementTraits_2::Curve_2` concept.

Represents algebraic curves. Internally, the type stores topological-geometric information about the particular curve. In order to use internal caching, instances should only be created using the `Construct_curve_2` functor of the traits class.

## Modifiers
Polynomial_2 | polynomial () const
| returns the defining polynomial of the curve.